<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ActionSingleUseBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d69/a07593.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionSingleUseBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Todo, once this is working try to make it work like weapon flashlights so it isnt needed to remove item to hands.  
 <a href="../../d8/d69/a07593.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ActionSingleUseBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/d69/a07593.png" usemap="#ActionSingleUseBase_map" alt=""/>
  <map id="ActionSingleUseBase_map" name="ActionSingleUseBase_map">
<area href="../../d6/d71/a06709.html" alt="ActionLickBattery" shape="rect" coords="0,56,213,80"/>
<area href="../../d1/d01/a03657.html" alt="ExpansionActionAttachCodeLock" shape="rect" coords="223,56,436,80"/>
<area href="../../dc/d82/a07589.html" title="Todo, once this is working try to make it work like weapon flashlights so it isnt needed to remove it..." alt="ExpansionActionCycleOpticsMode" shape="rect" coords="446,56,659,80"/>
<area href="../../d7/da0/a07185.html" alt="ExpansionVehicleActionStopEngine" shape="rect" coords="669,56,882,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a889706a89b12c4f7d83626eee4718fb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d69/a07593.html#a889706a89b12c4f7d83626eee4718fb2">ExpansionActionCycleOpticsModeInHands</a> ()</td></tr>
<tr class="separator:a889706a89b12c4f7d83626eee4718fb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9658b6e1ce1959b7ba6e3e5a0c5adb0d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d69/a07593.html#a9658b6e1ce1959b7ba6e3e5a0c5adb0d">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a9658b6e1ce1959b7ba6e3e5a0c5adb0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f2c9c1e8509523e4154f82ea11d6dce"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d69/a07593.html#a0f2c9c1e8509523e4154f82ea11d6dce">HasTarget</a> ()</td></tr>
<tr class="separator:a0f2c9c1e8509523e4154f82ea11d6dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa99ca86080064d61ecc9ba8a37ff8053"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d69/a07593.html#aa99ca86080064d61ecc9ba8a37ff8053">GetText</a> ()</td></tr>
<tr class="separator:aa99ca86080064d61ecc9ba8a37ff8053"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adabd82e2307225dbe0d5753da25dc3d3"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d69/a07593.html#adabd82e2307225dbe0d5753da25dc3d3">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:adabd82e2307225dbe0d5753da25dc3d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a312b887a8b26954d028d9bd4d6436169"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d69/a07593.html#a312b887a8b26954d028d9bd4d6436169">OnExecuteServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a312b887a8b26954d028d9bd4d6436169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7f25e70959ffdc022ac41fdc23997fb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d69/a07593.html#af7f25e70959ffdc022ac41fdc23997fb">OnStartClient</a> (ActionData action_data)</td></tr>
<tr class="separator:af7f25e70959ffdc022ac41fdc23997fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5000b7756d8474caeef369879f479a21"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d69/a07593.html#a5000b7756d8474caeef369879f479a21">OnStartServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a5000b7756d8474caeef369879f479a21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Todo, once this is working try to make it work like weapon flashlights so it isnt needed to remove item to hands. </p>
<p ><a class="el" href="../../d1/d48/a03218.html">ExpansionActionCycleOpticsModeInHands.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00014">14</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="adabd82e2307225dbe0d5753da25dc3d3" name="adabd82e2307225dbe0d5753da25dc3d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adabd82e2307225dbe0d5753da25dc3d3">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ActionSingleUseBase::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00037">37</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>

</div>
</div>
<a id="a9658b6e1ce1959b7ba6e3e5a0c5adb0d" name="a9658b6e1ce1959b7ba6e3e5a0c5adb0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9658b6e1ce1959b7ba6e3e5a0c5adb0d">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSingleUseBase::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00021">21</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>

</div>
</div>
<a id="a889706a89b12c4f7d83626eee4718fb2" name="a889706a89b12c4f7d83626eee4718fb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a889706a89b12c4f7d83626eee4718fb2">&#9670;&#160;</a></span>ExpansionActionCycleOpticsModeInHands()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionSingleUseBase::ExpansionActionCycleOpticsModeInHands </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00016">16</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>

</div>
</div>
<a id="aa99ca86080064d61ecc9ba8a37ff8053" name="aa99ca86080064d61ecc9ba8a37ff8053"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa99ca86080064d61ecc9ba8a37ff8053">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ActionSingleUseBase::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00032">32</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>

</div>
</div>
<a id="a0f2c9c1e8509523e4154f82ea11d6dce" name="a0f2c9c1e8509523e4154f82ea11d6dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f2c9c1e8509523e4154f82ea11d6dce">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ActionSingleUseBase::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00027">27</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>

</div>
</div>
<a id="a312b887a8b26954d028d9bd4d6436169" name="a312b887a8b26954d028d9bd4d6436169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a312b887a8b26954d028d9bd4d6436169">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSingleUseBase::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00050">50</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>

</div>
</div>
<a id="af7f25e70959ffdc022ac41fdc23997fb" name="af7f25e70959ffdc022ac41fdc23997fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7f25e70959ffdc022ac41fdc23997fb">&#9670;&#160;</a></span>OnStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSingleUseBase::OnStartClient </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >sound handling ?</p>

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00054">54</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>

</div>
</div>
<a id="a5000b7756d8474caeef369879f479a21" name="a5000b7756d8474caeef369879f479a21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5000b7756d8474caeef369879f479a21">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSingleUseBase::OnStartServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d48/a03218_source.html#l00059">59</a> of file <a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/classes/useractionscomponent/actions/singleuse/<a class="el" href="../../d1/d48/a03218_source.html">expansionactioncycleopticsmodeinhands.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d69/a07593.html">ActionSingleUseBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
